html {
    height: 100%;
}
body {
    width: 100%;
    height: 100%;
    margin: 0 auto 0 auto;
}

.main-container {
    position:relative;
    min-height: 100%;
}

.header {
    display: inline-block;
    width: 100%;
    height: 60px;
}

.main-panel {
    position:absolute;
    top: 70px;
    bottom: 70px;
    left: 10px;
    right: 10px
}

.search-label {
    width: 10%; 
    box-sizing: border-box;
    padding-right: 8px;
    float:left; 
    text-align: right;
}

.entity-label {
    width: 10%; 
    height: 16px;
    box-sizing: border-box;
    padding-right: 32px;
    float:left; 
    text-align: right;
    
    background-size: contain;
    background-position: right 8px top 1px;
    background-repeat: no-repeat;
}

.search-string {
    width: 90%;
    box-sizing: border-box;
    padding: 0 4px 0 4px; 
}

.skip {
    position: relative;
    width: 5%;
    box-sizing: border-box;
    padding: 0 4px 0 4px;
}

.limit {
    position: relative;
    width: 5%;
    box-sizing: border-box;
    padding: 0 4px 0 4px;
}

.search-button {
    display: inline-block;
    width: 16px;
    height: 16px;
    content: "search";
    border-radius: 2px;
}

.endpoint-line {
}

.endpoint-line:hover {
    color: darkblue;
    filter: opacity(100%);
}

.result-summary {
    display: inline-block;
    width: 80%;
    margin: 0 10% 0 10%;
    padding-left: 4px;
}

.result-box {
    display: inline-block;
    width: 80%;
    max-height: 200px;
    overflow-y: scroll;
    margin: 0 10% 0 10%;
    padding-left: 4px;
    border-top: lightgray solid 1px;
    border-left: lightgray solid 1px;
    color: midnightblue;
    background-color: #fafaff;
}

.result-box:hover {
    color: midnightblue;
    background-color: #fafaff;
}

.result-set {

}

.tree-property {
    padding-left: 12px;
}

.tree-property-name {
    color: maroon;
}

.tree-property-value {
    color: #DD00AE;
}

.tree-map-header {
    padding-left: 12px;
    background-position: left 6px;
    background-repeat: no-repeat;
}

.tree-map-header:hover {
    cursor: pointer;
}

.tree-map-content {
    padding-left: 12px;
    margin: 0px;
}

.footer {
    position:absolute;
    height: 60px;
    width: 100%;
    bottom:0;
    overflow: hidden;
    padding-bottom: 20px;
    color: #ebebeb;
    background-color: #023452;
    border-top: 1px solid #333;
    font-size: 0.875rem;
    font-family: 'HelveticaNeueLT Pro', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.logo-url {
    height: 24px;
}

.beacon-logo {
    position: relative;
    display: inline-block;
}

.beacon-logo .tooltip {
    position: absolute;
    z-index: 1;
    visibility: hidden;
    width: max-content;
    max-width: 500px;
    text-align: justify;
    text-justify: inter-word;
    padding: 6px 12px;
    border: darkgray solid 1px;
    border-radius: 12px;
    background: aliceblue;
}

.beacon-logo:hover .tooltip {
    visibility: visible;
}